org.springframework.cloud.dataflow.rest.job

## Class TaskJobExecutionRel

- java.lang.Object
- - org.springframework.cloud.dataflow.rest.job.TaskJobExecutionRel

-     public class TaskJobExecutionRel
      extends Object

  Enumerates the relation a `TaskExecution` has with its associate Job Execution Ids and Manifest
  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskJobExecutionRel(org.springframework.cloud.task.repository.TaskExecution taskExecution, List<Long> jobExecutionIds, TaskManifest taskManifest, TaskJobExecution composedTaskJobExecution)` Constructor that establishes the relationship between a `TaskExecution` and the Job Execution Ids of the jobs that were executed within it.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TaskJobExecution` | `getComposedTaskJobExecution()`
    `List<Long>` | `getJobExecutionIds()`
    `org.springframework.cloud.task.repository.TaskExecution` | `getTaskExecution()`
    `TaskManifest` | `getTaskManifest()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaskJobExecutionRel

          public TaskJobExecutionRel(org.springframework.cloud.task.repository.TaskExecution taskExecution,
                                     List<Long> jobExecutionIds,
                                     TaskManifest taskManifest,
                                     TaskJobExecution composedTaskJobExecution)

      Constructor that establishes the relationship between a `TaskExecution` and the Job Execution Ids of the jobs that were executed within it.
      Parameters:
        `taskExecution` - to be associated with the job execution ids.
        `jobExecutionIds` - to be associated with the task execution.
        `taskManifest` - to be associated with the task execution.
        `composedTaskJobExecution` - to be associated with the task execution.

  - ### Method Detail

    - #### getTaskExecution

          public org.springframework.cloud.task.repository.TaskExecution getTaskExecution()

      Returns:
        the taskExecution for this relationship.

    - #### getJobExecutionIds

          public List<Long> getJobExecutionIds()

      Returns:
        the job execution ids that are associated with the `TaskExecution` in this relationship.

    - #### getTaskManifest

          public TaskManifest getTaskManifest()

      Returns:
        the task manifest associated with the `TaskExecution`. Could be null.

    - #### getComposedTaskJobExecution

          public TaskJobExecution getComposedTaskJobExecution()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.